export declare type PnpmErrorCode = 'UNEXPECTED_STORE' | 'STORE_BREAKING_CHANGE' | 'MODULES_BREAKING_CHANGE' | 'SHRINKWRAP_BREAKING_CHANGE' | 'MODIFIED_DEPENDENCY' | 'NO_OFFLINE_META' | 'NO_OFFLINE_TARBALL' | 'BAD_TARBALL_SIZE';
export default class PnpmError extends Error {
    code: PnpmErrorCode;
    constructor(code: PnpmErrorCode, message: string);
}
